org.postgresql.util

## Class PGmoney

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgresql.util.PGmoney

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PGmoney
    extends PGobject
    implements java.io.Serializable, java.lang.Cloneable

This implements a class that handles the PostgreSQL money and cash types

See Also:
  Serialized Form

### Field Summary

Fields
`double` `val`

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
Constructor and Description
`PGmoney()`
`PGmoney(double value)`
`PGmoney(java.lang.String value)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` This must be overidden to allow comparisons of objects
`java.lang.String` `getValue()` This must be overidden, to return the value of the object, in the form required by org.postgresql.
`void` `setValue(java.lang.String s)` This method sets the value of this object.

### Methods inherited from class org.postgresql.util.PGobject

`clone, getType, setType, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### val

    public double val

### Constructor Detail

#### PGmoney

    public PGmoney(double value)

#### PGmoney

    public PGmoney(java.lang.String value)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### PGmoney

    public PGmoney()

### Method Detail

#### setValue

    public void setValue(java.lang.String s)
                  throws java.sql.SQLException

Description copied from class: `PGobject`
This method sets the value of this object. It must be overidden.

Overrides:
  `setValue` in class `PGobject`
Parameters:
  `s` - a string representation of the value of the object
Throws:
  `java.sql.SQLException` - thrown if value is invalid for this type

#### equals

    public boolean equals(java.lang.Object obj)

Description copied from class: `PGobject`
This must be overidden to allow comparisons of objects

Overrides:
  `equals` in class `PGobject`
Parameters:
  `obj` - Object to compare with
Returns:
  true if the two boxes are identical

#### getValue

    public java.lang.String getValue()

Description copied from class: `PGobject`
This must be overidden, to return the value of the object, in the form required by org.postgresql.

Overrides:
  `getValue` in class `PGobject`
Returns:
  the value of this object